Subject: Re: bug#76559: 31.0.50; [-O3 + PGTK] Crash when 'copying as kill'/'killing word'

From: Po Lu <[email-masked]>
Date: Sun, 02 Mar 2025 19:29:13 +0800

Pip Cet <[email-masked]> writes:

> Are you going to report the GCC bug?  If not, I'd like to do so, with
> your permission.

By all means (and please don't even consider requesting my permission to
do so--Free Software means it is every person's birthright to take the
initiative into his own hands).

> Working around the problem may be more difficult, and it might be
> easiest to disable the SRA pass for bad GCC versions, but maybe
> something will occur to the GCC folks.

I had a very conservative workaround that disqualifies all accesses
where more than two incompatible aggregate types (all aggregates are
impacted, not just unions & records) are concerned are rejected, but
maybe it's too timid for their tastes or I omitted to post it in this
thread.  In the meantime, let's apply `-fno-tree-sra' on GCC.